import { IDSL, IPlugin } from "../src";
/**
 *
 */
export interface ITypeDraftConfig {
    DSLs: Array<{
        name: string;
        dsl: () => IDSL;
    }>;
    DraftPlugins?: Array<IPlugin & Function>;
    Targets: Array<{
        src: string;
        dest: string;
        baseDir?: string;
    }>;
}
export declare function MakeTranscriberWithConfig(code: string, config: ITypeDraftConfig): import("../src").ITranscriber;
export declare function ComposeFile(code: string, config?: ITypeDraftConfig): string;
