"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ClassPlugin {
    constructor(transcriber) {
        this.m_Transcriber = transcriber;
    }
    Transcribe() {
        this.m_Transcriber.TraverseMethod((methods, class_name) => methods.forEach(method => this.m_Transcriber.GetClass(class_name).AddMember(method.ToClassMethod())));
    }
}
exports.ClassPlugin = ClassPlugin;
