import { BlockStatement, Statement } from "@babel/types";
import { NodePath } from "@babel/traverse";
import { IDSL } from "../core/transcriber";
export interface IInlineContext {
    ToStatements: () => Array<Statement>;
}
export declare class InlineContext {
    m_Path: NodePath<BlockStatement>;
    get m_ID(): symbol;
    get m_Code(): BlockStatement;
    constructor(path: NodePath<BlockStatement>);
    ToStatements(): Statement[];
    Resolve(dsl: IDSL): void;
    GetDSLName(): string;
}
