"use strict";
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(require("./core/transcriber"));
__export(require("./code-object"));
__export(require("./plug-in"));
__export(require("./common"));
const transcriber_1 = require("./core/transcriber");
const plug_in_1 = require("./plug-in");
function MakeDefaultTranscriber(_module) {
    const transcriber = new transcriber_1.Transcriber(_module);
    transcriber.m_Plugins = [
        new plug_in_1.InplaceContextPlugin(transcriber),
        new plug_in_1.RefreshDraftPlugin(transcriber),
        new plug_in_1.DSLPlugin(transcriber),
        new plug_in_1.RefreshDraftPlugin(transcriber),
        new plug_in_1.LocalContextPlugin(transcriber),
        new plug_in_1.ClassPlugin(transcriber),
        new plug_in_1.FilterPlugin(transcriber),
    ];
    return transcriber;
}
exports.MakeDefaultTranscriber = MakeDefaultTranscriber;
