"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class FilterPlugin {
    constructor(transcriber) {
        this.m_Transcriber = transcriber;
    }
    Transcribe() {
        this.m_Transcriber.TraverseLocalContext(context => context.m_Path.remove());
        this.m_Transcriber.TraverseMethod(methods => methods.forEach(each => each.m_Path.remove()));
    }
}
exports.FilterPlugin = FilterPlugin;
